Hello everyone,

We will do a force update this week.

What does that mean?
If you haven't done it yet, you will have to download one of the latest versions (6 or higher) to be able to play Monster Legends.
This should help to resolve some inconsistencies that players playing with older versions (eg. 5.6,5.7,5.8, etc.) experience.